<?php

declare(strict_types=1);

namespace Dedi\SyliusAdvertisingPlugin\Domain\Advertising\Adapter;

interface AdvertisingInterface
{
    public function getCode(): string;

    public function isEnabled(): bool;

    public function getPosition(): int;

    public function getTitle(): ?string;

    public function getContent(): ?string;

    public function getUrl(): ?string;

    public function getImage();
}
